import Foundation
import TigaseSwift

public class NotificationEncryptionKeys {
    private static let storage = UserDefaults(suiteName: "group.snikket.notifications") ?? UserDefaults.standard
    
    public static func key(for account: BareJID) -> Data? {
        storage.data(forKey: account.stringValue)
    }
    
    public static func set(key: Data?, for account: BareJID) {
        storage.setValue(key, forKey: account.stringValue)
    }
}
